/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.atlas.s3.bridge.models;

import org.apache.atlas.exception.AtlasBaseException;
import org.apache.atlas.s3.bridge.AwsS3DataTypes;
import org.apache.atlas.s3.extractors.ExtractorContext;
import software.amazon.awssdk.services.s3.model.HeadObjectResponse;
import software.amazon.awssdk.services.s3.model.S3Object;

public class AtlasAwsS3DirectoryEntity extends AtlasAwsS3ObjectEntity {
    public AtlasAwsS3DirectoryEntity(ExtractorContext extractorContext,
                                     String bucketName,
                                     S3Object s3Object,
                                     HeadObjectResponse headObjectResponse) throws AtlasBaseException {
        super(extractorContext, bucketName, s3Object, headObjectResponse, null, AwsS3DataTypes.AWS_S3_DIRECTORY.getEntityType());
    }
}
