/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.atlas.s3.extractors;

public class Constants {
    public static final String PROPERTY_EXTRACTION_START_TIME_AT_PROGRESS_FILE = "EXTRACTION_START_TIME";

    static final String AWS_S3_EXPIRED_TOKEN_EXCEPTION_ERROR   = "ExpiredToken";

    static final String DEFAULT_S3_PREFIX_DELIMITER            = "/";
    static final String DEFAULT_EXTRACTOR_PROGRESS_FILE        = "extractor_progress_file.prop";
    static final String DEFAULT_FILE_SYSTEM_SCHEME             = "s3a";
    static final int    DEFAULT_MAX_NUMBER_OF_OBJECT_PER_CALL  = 1000;
    static final int    DEFAULT_MAX_RECONNECT_COUNT            = 2;
    static final boolean DEFAULT_RESUME_FROM_PROGRESS_FILE     = false;

    static final String AWS_S3_EXTRACTION_CONFIG_PREFIX        = "atlas.s3.extraction.";
    static final char   CONFIG_PATH_SEPARATOR                  = ',';
    static final String CONFIG_MAX_RECONNECT_COUNT             = AWS_S3_EXTRACTION_CONFIG_PREFIX + "max.reconnect.count";
    static final String CONFIG_FILE_SYSTEM_SCHEME              = AWS_S3_EXTRACTION_CONFIG_PREFIX + "fs.scheme";
    static final String CONFIG_BLACKLIST_PATHS                 = AWS_S3_EXTRACTION_CONFIG_PREFIX + "blacklist.paths";
    static final String CONFIG_WHITELIST_PATHS                 = AWS_S3_EXTRACTION_CONFIG_PREFIX + "whitelist.paths";
    static final String CONFIG_EXTRACTION_AWS_REGION           = AWS_S3_EXTRACTION_CONFIG_PREFIX + "aws.region";
    static final String CONFIG_SESSION_TOKEN                   = AWS_S3_EXTRACTION_CONFIG_PREFIX + "session.token";
    static final String CONFIG_SECRET_KEY                      = AWS_S3_EXTRACTION_CONFIG_PREFIX + "secret.key";
    static final String CONFIG_ACCESS_KEY                      = AWS_S3_EXTRACTION_CONFIG_PREFIX + "access.key";
    static final String CONFIG_RESUME_FROM_PROGRESS_FILE       = AWS_S3_EXTRACTION_CONFIG_PREFIX + "resume.from.progress.file";
    static final String CONFIG_EXTRACTOR_PROGRESS_FILE         = AWS_S3_EXTRACTION_CONFIG_PREFIX + "progress.file";
    static final String CONFIG_PREFIX_DELIMITER                = AWS_S3_EXTRACTION_CONFIG_PREFIX + "prefix.delimiter";
    static final String CONFIG_EXTRACTOR_MAX_OBJECT_PER_CALL   = AWS_S3_EXTRACTION_CONFIG_PREFIX + "max.object.per.call";

    static final String CONFIG_EXTRACTION_AWS_REGION_FROM_CORE_SITE = "fs.%s.s3guard.ddb.region";
    static final String CORE_SITE_PROPERTIES                        = "core-site.xml";
    static final String ATLAS_LOG_DIR                               = "atlas.log.dir";

    static final String FAIL_ON_ERROR_FLAG                          = "failOnErrorFlag";
}
