/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.atlas.tools.models.Conversion;

public class Constants {
    public static final String INCOMING_FIELD_NAME_INTERNAL_TYPE = "internalType";
    public static final String INCOMING_FIELD_NAME_TYPE = "type";
    public static final String SPECS_DIRECTORY_NAME = "specs/";
    public static final String SPEC_INDEX = "INDEX";
    public static final String ENTITY_TYPE_WRITING_ORDER = "ENTITY_TYPE_WRITING_ORDER";
    public static final String ATLAS_TYPES_DEF_JSON = "typesdef";
    public static final String EXT_JSON = ".json";

    public static final String APPLICATION_PROPERTY_BACKING_STORE = "atlas.nav2atlas.backing.store.directory";
    public static final String APPLICATION_PROPERTY_CONVERSION_NUM_WORKERS = "atlas.nav2atlas.conversion.numWorkers";
    public static final String APPLICATION_PROPERTY_CONVERSION_BATCH_SIZE = "atlas.nav2atlas.conversion.batchSize";
    public static final String APPLICATION_PROPERTY_INCLUDE_ALL_FS_ELEMENT = "atlas.nav2atlas.conversion.include.all.fselement";
    public static final String APPLICATION_PROPERTY_ENTITY_COUNT_PER_FILE = "atlas.nav2atlas.conversion.entity.count.per.file";
    public static final String APPLICATION_PROPERTY_TEMP_DIRECTORY = "atlas.nav2atlas.backing.store.temp.directory";
    public static final String APPLICATION_PROPERTY_BULK_LOAD_RELATIONS = "atlas.nav2atlas.backing.store.bulk.load.relations";
    public static final String APPLICATION_PROPERTY_QUALIFIED_NAME_VALIDATION = "atlas.nav2atlas.qualified.name.validation";
    public static final String APPLICATION_PROPERTY_TYPES_FOR_QUALIFIED_NAME_VALIDATION_CHECK = "atlas.nav2atlas.qualified.name.validation.types";
    public static final String APPLICATION_PROPERTY_TYPES_FOR_REFERENCE_STORING = "atlas.nav2atlas.reference.storing.types";
    public static final String APPLICATION_PROPERTY_USE_TRUE_GUID = "atlas.nav2atlas.use.true-guid";
    public static final String APPLICATION_PROPERTY_USE_SPAWNER = "atlas.nav2atlas.use.spawner";

    public static final String ATTRIBUTE_NAME_GUID = "guid";

    public static final int PADDING_SIZE = 12;
}
