/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.atlas.tools.models;

public enum ZipEntryMembersInput {
    ZIP_ENTRY_SUMMARY("summary.json"),
    ZIP_ENTRY_NAMESPACES("namespaces.json"),
    ZIP_ENTRY_PROPERTIES("properties.json"),
    ZIP_ENTRY_PROPERTIES_MAPPING("property-mappings.json"),
    ZIP_ENTRY_IDENTITY_GUID_MAP("identity-guid-map.json"),
    ZIP_ENTRY_GUID_TYPE_MAP("guid-type-map.json"),
    ZIP_ENTRY_ENTITIES("entities.json"),
    ZIP_ENTRY_RELATIONS("relations.json");

    private final String name;

    ZipEntryMembersInput(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return name;
    }
}
