/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.atlas.tools.converter;

import org.apache.atlas.tools.BaseTest;
import org.apache.atlas.tools.models.NodeContainer;
import org.apache.atlas.type.AtlasType;
import org.testng.annotations.Test;

import java.io.IOException;

import static org.testng.Assert.assertEquals;
import static org.testng.Assert.assertNotNull;

public class NodeContainerReaderTest extends BaseTest {
    @Test
    public void readMultiple() throws IOException {
        NodeContainer nodeContainer = AtlasType.fromJson(readString("hive", "hive-db-multiple"), NodeContainer.class);

        assertNotNull(nodeContainer);
        assertEquals(nodeContainer.getEntities().size(), 2);
        assertNotNull(nodeContainer.getEntities().get(0));
        assertNotNull(nodeContainer.getEntities().get(1));
    }
}
