/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.atlas.tools.converter;

import org.apache.atlas.tools.BaseTest;
import org.json.JSONException;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;

import java.io.IOException;

public class SparkTest extends BaseTest {
    @BeforeClass
    public void setup() throws IOException {
        setupRelations("spark", "spark-relations");
    }

    @DataProvider(name = "data")
    private Object[][] comparisonQueriesProvider() {
        return new Object[][]{
                {"spark-operation"},
                {"spark-operation-execution"},
        };
    }

    @Test(dataProvider = "data")
    public void verify(String file) throws ConversionException, JSONException, IOException {
        assertEntityWithFileInput("spark", file);
    }
}
